function Z = eval_rhs_wave(X, Y, t)

Z = zeros(size(X));

for i = 1:size(Z, 1)
   for j = 1:size(Z, 2)
      Z(i,j) = right_hand_side([X(i,j); Y(i,j)], t);
   end
end

function f = right_hand_side(x, t)

middle = [ -0.5; 0.5 ];


if( 0 <= t && t < 0.125 ) % && x(1)<-0.85 && abs(x(2)-0.7) < 0.1 )

f = sin(t*2*pi) * exp(-norm(middle - x)^2*40);

  % f = max(0, 0.2-norm(x-[-0.7; 0.7]))*sin(t*2*pi*2)*10;

%   if( t~=show_t )
%      sin(10*t)
%      t
%      f
%      show_t = t;
%   end
else
   f = 0;
end
