function Z = eval_rhs_heat(X, Y, t)

Z = zeros(size(X));

for i = 1:size(Z, 1)
   for j = 1:size(Z, 2)
      Z(i,j) = right_hand_side([X(i,j); Y(i,j)], t);
   end
end

function f = right_hand_side(x, t)

if( 0.0 <= t && t < 0.2 )
   f = max(0, sign(0.9-norm(x,1)))*100;
elseif( 0.2 <= t && t <=0.22 )
   f = max(0, sign(0.1-norm(x)))*-600;
else
   f = 0;
end
